Results 1 to 5 of 5

Thread: Rainlender2 Lite Does NOT Launch on openSUSE 12.1

  1. #1
    Join Date
    Jul 2012
    Location
    San Digo, CA
    Posts
    36

    Question Rainlender2 Lite Does NOT Launch on openSUSE 12.1

    My favorite app does not launch on openSUSE 12.1, Rainlendar2 Lite.

    The download I used is the generic (non Ubuntu/Debian).

    With the help of the Rainlendar Forum, I did some troubleshooting via Terminal. openSUSE was missing dependencies, specifically shared libraries

    One was .librtmp.so.0, and I found an RPM installer for openSUSE 12.1 and installed it.


    Now this is what I get when I try to launch Rainlendar2 from Terminal:

    tecknomage@linux-h9z4:/usr/lib/rainlendar2> ./rainlendar2
    ./rainlendar2: /usr/lib/liblber-2.4.so.2: no version information available (required by ./rainlendar2)
    ./rainlendar2: /lib/libcrypto.so.1.0.0: no version information available (required by ./rainlendar2)
    ./rainlendar2: /lib/libssl.so.1.0.0: no version information available (required by ./rainlendar2)
    ./rainlendar2: /lib/libssl.so.1.0.0: no version information available (required by ./rainlendar2)
    ./rainlendar2: /usr/lib/libldap_r-2.4.so.2: no version information available (required by ./rainlendar2)
    ./rainlendar2: /lib/libc.so.6: version `GLIBC_2.15' not found (required by ./rainlendar2)

    ALSO, these libraries do NOT show up in YaST, so how are they being seen above?


    PLEASE, any help in getting this app to work would be appreciated.

  2. #2
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,130

    Default Re: Rainlender2 Lite Does NOT Launch on openSUSE 12.1

    Please use CODE tags around your computer text: http://forums.opensuse.org/english/i...ags-guide.html

    And IMHO a bit less usage of bold wil be appreciated by many.
    Henk van Velden

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,822
    Blog Entries
    15

    Default Re: Rainlender2 Lite Does NOT Launch on openSUSE 12.1

    Quote Originally Posted by tecknode
    My favorite app does not launch on *openSUSE 12.1*, 'Rainlendar2 Lite'
    (http://www.rainlendar.net).

    The download I used is the generic (-*non* Ubuntu/Debian-).

    With the help of the Rainlendar Forum, I did some troubleshooting via
    Terminal. openSUSE was missing dependencies, specifically shared
    libraries

    One was .*librtmp.so.0*, and I found an RPM installer for *openSUSE
    12.1* and installed it.


    ::Now this is what I get when I try to launch Rainlendar2 from
    Terminal:::

    tecknomage@linux-h9z4:/usr/lib/rainlendar2> ./rainlendar2
    /rainlendar2: /usr/lib/liblber-2.4.so.2: no version information
    available (required by ./rainlendar2)
    /rainlendar2: /lib/libcrypto.so.1.0.0: no version information
    available (required by ./rainlendar2)
    /rainlendar2: /lib/libssl.so.1.0.0: no version information available
    (required by ./rainlendar2)
    /rainlendar2: /lib/libssl.so.1.0.0: no version information available
    (required by ./rainlendar2)
    /rainlendar2: /usr/lib/libldap_r-2.4.so.2: no version information
    available (required by ./rainlendar2)
    /rainlendar2: /lib/libc.so.6: version `GLIBC_2.15' not found (required
    by ./rainlendar2)

    *ALSO*, these libraries do NOT show up in YaST, so how are they being
    seen above?


    PLEASE, any help in getting this app to work would be
    appreciated.

    Hi
    Why have it in /usr/lib???? Is this a 64 or 32bit system?

    Extract the tarball into you home directory, cd to the rainlendar2
    directory and run it from there (as your user).

    --
    Cheers Malcolm °¿° (Linux Counter #276890)
    SUSE Linux Enterprise Desktop 11 (x86_64) Kernel 3.0.34-0.7-default
    up 3 days 14:52, 3 users, load average: 0.73, 0.55, 0.36
    CPU Intel i5 CPU M520@2.40GHz | Intel Arrandale GPU


  4. #4
    Join Date
    Jul 2012
    Location
    San Digo, CA
    Posts
    36

    Default Re: Rainlender2 Lite Does NOT Launch on openSUSE 12.1

    1) 32bit.

    2) I did not put the libraries there, the RPM installer did, but I know enough about Linux to know that these (root) folders shown are where these should go.

    3) Rainlendar2 is installed under my Home directory. The Terminal error message is from Rainlendar about the libraries.


    What I need to fix is the files listed with version info.

  5. #5
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    25,130

    Default Re: Rainlender2 Lite Does NOT Launch on openSUSE 12.1

    Thee RPM of course put the libraries into /usr/lib. That is normal. But why are you going into /usr/lib and call a program (not a library) from there?

    When you say
    [QUOTE]Rainlendar2 is installed under my Home directory. [/QUOTE], you should prove that by showing an ls -l of that file. As you should prove everything you say, specialy your conclusions, with computer evidence. And between CODE tags.
    Henk van Velden

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •